### Hierarchy

- ComponentOutletDirective

### Implements

- OnChanges
- OnDestroy

## Index

### Inputs

- scComponentOutlet
- scComponentOutletContent
- scComponentOutletInjector
- scComponentOutletInputs
- scComponentOutletNgModuleFactory
- scComponentOutletOutputs

### Constructors

- constructor

### Properties

- _componentRef
- _moduleRef
- scComponentOutlet
- scComponentOutletContent
- scComponentOutletInjector
- scComponentOutletInputs
- scComponentOutletNgModuleFactory
- scComponentOutletOutputs

### Methods

- ngOnChanges
- ngOnDestroy

## Constructors

### constructor

- new ComponentOutletDirective(_viewContainerRef: ViewContainerRef): ComponentOutletDirective

- - Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:36

  #### Parameters

  - ##### _viewContainerRef: ViewContainerRef

  #### Returns ComponentOutletDirective

## Properties

### Private _componentRef

_componentRef: ComponentRef<any> = null

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:35

### Private _moduleRef

_moduleRef: NgModuleRef<any> = null

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:36

### scComponentOutlet

@Input()
scComponentOutlet: Type<any>

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:27

### scComponentOutletContent

@Input()
scComponentOutletContent: any[][]

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:31

### scComponentOutletInjector

@Input()
scComponentOutletInjector: Injector

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:29

### scComponentOutletInputs

@Input()
scComponentOutletInputs: Map<string, any> = ...

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:20

### scComponentOutletNgModuleFactory

@Input()
scComponentOutletNgModuleFactory: NgModuleFactory<any>

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:33

### scComponentOutletOutputs

@Input()
scComponentOutletOutputs: Map<string, any> = ...

- Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:22

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:41

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in packages/angular/src/toolkit/utils/component-outlet.directive.ts:101

  #### Returns void

Generated using TypeDoc